<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="other/common.jsp" %>

<%
String name = loginEmployee.getName();
String position = loginEmployee.getPosition();

CustomerBellList customerBellList = (CustomerBellList)application.getAttribute("customerBellList");
Map<Seat,CustomerBell> customerBellMap = customerBellList.getCustomerBellList();
%>

<jsp:include page="other/head.jsp" /> <%-- ヘッドの挿入 --%>
<jsp:include page="other/header.jsp" /> <%-- ヘッダーの挿入 --%>


<script type="text/javascript">
	setTimeout(function () { location.reload(); }, 5000);
</script>

	<div id="employee_page" class="common_container">

		<div id="title_area">
			<h2>管理画面</h2>
			<h2><i class="fa-solid fa-circle-user"></i><%= name %> (<%= position %>)</h2>
		</div>

		<div id="container">

			<div id="call_ep">
				<h2 class="title_2"><span><i class="fa-regular fa-bell"></i></span>呼び出し</h2>
				<div>
					<% for (Seat s : customerBellMap.keySet()) { %>
						<% if (customerBellMap.get(s).isCall()) { %>
							<form action="EmployeeServlet" method="POST">
								<span>席番号：<%= s.getSeatNumber() %>      </span>
								<input type="hidden" name="bellType" value="call">
								<input type="hidden" name="seatName" value="<%= s.getSeatNumber() %>">
								<input type="submit" value="完了">
							</form>
						<% } %>
					<% } %>
				</div>
			</div>

			<hr>

			<div id="order_ep">
				<h2 class="title_2"><span><i class="fa-solid fa-utensils"></i></span>注文</h2>
				<div>
					<% for (Seat s : customerBellMap.keySet()) { %>
						<% if (customerBellMap.get(s).isOrder()) { %>

							<% int orderedListCount = 0; %>
							<% for (Order o : s.getOrderedList()) { %>
								<div class="flex_gap center_margin">
									<div>
										<span>席番号：<%= s.getSeatNumber() %> </span>
										<form action="EmployeeServlet" method="POST">
											<input type="hidden" name="bellType" value="order">
											<input type="hidden" name="seatName" value="<%= s.getSeatNumber() %>">
											<input type="hidden" name="orderedListCount" value="<%= orderedListCount %>">
											<input type="submit" value="完了">
										</form>
									</div>
									<table border="" class="order_table no_margin">
										<tr><th>商品名</th><th>数量</th></tr>
										<% for (FoodAndDrink key : o.getOrder().keySet()) { %>
											<% int value = o.getOrder().get(key); %>
											<tr>
												<td><%= key.getName() %></td>
												<td><%= value %>個</td>
											</tr>
										<% } %>
									</table>
								</div>
								<hr class="hr_dotted">
								<% orderedListCount ++; %>
							<% } %>
						<% } %>
					<% } %>
				</div>
			</div>

			<hr>

			<div id="accounting_ep">
				<h2 class="title_2"><span><i class="fa-solid fa-cash-register"></i></span>会計</h2>
				<div>
					<% for (Seat s : customerBellMap.keySet()) { %>
						<% if (customerBellMap.get(s).isAccounting()) { %>
							<form action="EmployeeServlet" method="POST">
								<span>席番号：<%= s.getSeatNumber() %>      </span>
								<input type="hidden" name="bellType" value="accounting">
								<input type="hidden" name="seatName" value="<%= s.getSeatNumber() %>">
								<input type="submit" value="完了">
							</form>
						<% } %>
					<% } %>
				</div>
			</div>

		</div>

		<hr>

		<div class="flex_gap center_margin">
			<div>
				<h2><a href="LogoutServlet" class="simple_button">ログアウト</a></h2>
			</div>
			<% if (position.equals("オーナー") || position.equals("管理者")) { %>
			<div>
				<h2><a href="OptionServlet" class="simple_button">オプション</a></h2>
			</div>
			<div>
				<h2><a href="StopAppServlet" class="simple_button">アプリケーション停止</a></h2>
			</div>
			<% } %>
		</div>

	</div>

<jsp:include page="other/footer.jsp" /> <%-- フッターの挿入 --%>