<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="other/common.jsp" %>

<%
String name = loginEmployee.getName();
String position = loginEmployee.getPosition();

String result = "";
result = (String)request.getAttribute("result");

EmployeesDAO employeesDAO = new EmployeesDAO();
List<Employee> employeeList = employeesDAO.findAll();

SeatDAO seatDAO = new SeatDAO();
List<Seat> seatList = seatDAO.findSeat();
%>

<jsp:include page="other/head.jsp" /> <%-- ヘッドの挿入 --%>
<jsp:include page="other/header.jsp" /> <%-- ヘッダーの挿入 --%>

<div id="option" class="common_container">

	<div id="title_area">
		<h2>オプション</h2>
		<h2><i class="fa-solid fa-circle-user"></i> <%= name %> (<%= position %>)</h2>
	</div>

	<div id="option_message">
		<% if (result != null) { %>
		<p><i class="fa-solid fa-circle-info"></i> <%= result %></p>
		<% } %>
	</div>

	<div class="option_outer">
		<h3 class="option_title"><i class="fa-solid fa-plus"></i> <i class="fa-solid fa-utensils"></i> メニューの追加</h3>
		<div id="add_menu_inner">
			<form action="OptionServlet" method="POST">
				<input type="hidden" name="action" value="addMenu">
				<table>
					<tr>
						<th>種類：</th>
						<th><input type="radio" name="menuType" value="food">食べ物
						<input type="radio" name="menuType" value="softDrink">ソフトドリンク
						<input type="radio" name="menuType" value="alcohol">アルコール</th>
					</tr>
					<tr><th>名前：</th><th><input type="text" name="name"></th></tr>
					<tr><th>金額：</th><th><input type="text" name="price"></th></tr>
					<tr><th>メニュー：</th>
						<th><select name="display">
							<option value="true">表示</option>
							<option value="false">非表示</option>
						</select></th>
					</tr>
					<tr><th>説明：</th><th><textarea name="discription"></textarea></th></tr>
					<tr><th>炭酸：</th>
						<th><input type="radio" name="isSour" value="true">あり
						<input type="radio" name="isSour" value="false">なし</th>
					</tr>
					<tr><th>アルコール度数：</th><th><input type="text" name="abv"></th></tr>
				</table>
				<input type="submit" value="追加" class="option_button">
			</form>
		</div>
	</div>

	<div class="option_outer">
		<h3 class="option_title"><i class="fa-solid fa-toggle-off"></i> メニューの表示/非表示</h3>
		<form action="OptionServlet" method="POST" class="option_table">
			<span class="table_inner">食べ物：</span>
			<select name="switchMenuId" class="table_inner">
				<% for (Food f : menu.getFoodList()) { %>
				<option value="<%= f.getId() %>"><%= f.getName() %></option>
				<% } %>
			</select>
			<span>切替：</span>
			<input type="radio" name="isDisplay" value="true">表示
			<input type="radio" name="isDisplay" value="false">非表示
			<input type="hidden" name="action" value="switchMenu">
			<input type="hidden" name="menuType" value="food">
			<input type="submit" value="更新">
		</form>
		<form action="Option" method="POST" class="option_table">
			<span class="table_inner">ソフトドリンク：</span>
			<select name="switchMenuId" class="table_inner">
				<% for (SoftDrink s : menu.getSoftDrinkList()) { %>
				<option value="<%= s.getId() %>"><%= s.getName() %></option>
				<% } %>
			</select>
			<span>切替：</span>
			<input type="radio" name="isDisplay" value="true">表示
			<input type="radio" name="isDisplay" value="false">非表示
			<input type="hidden" name="action" value="switchMenu">
			<input type="hidden" name="menuType" value="softDrink">
			<input type="submit" value="更新">
		</form>
		<form action="Option" method="POST" class="option_table">
			<span class="table_inner">アルコール：</span>
			<select name="switchMenuId" class="table_inner">
				<% for (Alcohol a : menu.getAlcoholList()) { %>
				<option value="<%= a.getId() %>"><%= a.getName() %></option>
				<% } %>
			</select>
			<span>切替：</span>
			<input type="radio" name="isDisplay" value="true">表示
			<input type="radio" name="isDisplay" value="false">非表示
			<input type="hidden" name="action" value="switchMenu">
			<input type="hidden" name="menuType" value="alcohol">
			<input type="submit" value="更新">
		</form>
	</div>

	<div class="option_outer">
		<h3 class="option_title"><i class="fa-solid fa-eraser"></i> <i class="fa-solid fa-utensils"></i> メニューの削除</h3>
		<form action="OptionServlet" method="POST" class="option_table">
			<span class="table_inner">食べ物：</span>
			<select name="deleteMenu" class="table_inner">
				<% for (Food f : menu.getFoodList()) { %>
				<option value="<%= f.getId() %>"><%= f.getName() %></option>
				<% } %>
			</select>
			<input type="hidden" name="action" value="deleteMenu">
			<input type="hidden" name="menuType" value="food">
			<input type="submit" value="削除" class="table_inner">
		</form>
		<form action="Option" method="POST" class="option_table">
			<span class="table_inner">ソフトドリンク：</span>
			<select name="deleteMenu" class="table_inner">
				<% for (SoftDrink s : menu.getSoftDrinkList()) { %>
				<option value="<%= s.getId() %>"><%= s.getName() %></option>
				<% } %>
			</select>
			<input type="hidden" name="action" value="deleteMenu">
			<input type="hidden" name="menuType" value="softDrink">
			<input type="submit" value="削除" class="table_inner">
		</form>
		<form action="Option" method="POST" class="option_table">
			<span class="table_inner">アルコール：</span>
			<select name="deleteMenu" class="table_inner">
				<% for (Alcohol a : menu.getAlcoholList()) { %>
				<option value="<%= a.getId() %>"><%= a.getName() %></option>
				<% } %>
			</select>
			<input type="hidden" name="action" value="deleteMenu">
			<input type="hidden" name="menuType" value="alcohol">
			<input type="submit" value="削除" class="table_inner">
		</form>
	</div>

	<div class="option_outer">
		<h3 class="option_title"><i class="fa-solid fa-user-plus"></i> 従業員の追加</h3>
		<form action="OptionServlet" method="POST">
			<input type="hidden" name="action" value="addEmployee">
			<table>
			<tr><th>名前：</th><th><input type="text" name="name"></th></tr>
			<tr><th>ID：</th><th><input type="text" name="id"></th></tr>
			<tr><th>パスワード：</th><th><input type="text" name="pass"></th></tr>
			<tr><th>役職：</th>
				<th><input type="radio" name="position" value="管理人">管理人
				<input type="radio" name="position" value="スタッフ">スタッフ</th>
			</tr>
			</table>
			<input type="submit" value="追加" class="option_button">
		</form>
	</div>

	<div class="option_outer">
		<h3 class="option_title"><i class="fa-solid fa-user-minus"></i> 従業員の削除</h3>
		<form action="OptionServlet" method="POST" class="option_table">
			<select name="deleteEmployeeId" class="table_inner">
				<% for (Employee e : employeeList) { %>
				<option value="<%= e.getId() %>"><%= e.getName() %></option>
				<% } %>
			</select>
			<input type="hidden" name="action" value="deleteEmployee">
			<input type="submit" value="削除" class="table_inner">
		</form>
	</div>

	<div class="option_outer">
		<h3 class="option_title"><i class="fa-solid fa-user-plus"></i> 座席の追加</h3>
		<form action="OptionServlet" method="POST" class="option_table">
			<input type="hidden" name="action" value="addSeat">
			<span>座席名：</span>
			<input type="text" name="addSeatName" class="table_inner">
			<input type="submit" value="追加" class="table_inner">
		</form>
	</div>

	<div class="option_outer">
		<h3 class="option_title"><i class="fa-solid fa-user-minus"></i> 座席の削除</h3>
		<form action="OptionServlet" method="POST" class="option_table">
			<select name="deleteSeatId" class="table_inner">
				<% for (Seat s : seatList) { %>
				<option value="<%= s.getId() %>"><%= s.getSeatNumber() %></option>
				<% } %>
			</select>
			<input type="hidden" name="action" value="deleteSeat">
			<input type="submit" value="削除" class="table_inner">
		</form>
	</div>

	<div class="option_outer">
		<h3 class="option_title"><i class="fa-solid fa-shop"></i> 店舗情報</h3>
		<form action="OptionServlet" method="POST" class="option_table flex_gap">
			<input type="text" name="storeName" value="<%= storeData.getStoreName()%>">
			<input type="hidden" name="action" value="updateStoreData">
			<input type="submit" value="更新" class="table_inner">
		</form>
	</div>

	<div class="back_button">
		<a href="EmployeeServlet">戻る</a>
	</div>

</div>

<jsp:include page="other/footer.jsp" /> <%-- フッターの挿入 --%>