package menu;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import dao.AlcoholDAO;
import dao.FoodDAO;
import dao.SoftDrinkDAO;

public class Menu implements Serializable {

	private List<Food> _foodList = new ArrayList<>();
	private List<SoftDrink> _softDrinkList = new ArrayList<>();
	private List<Alcohol> _alcoholList = new ArrayList<>();
	private List<FoodAndDrink> _allMenu = new ArrayList<>();

	public Menu() {
		FoodDAO foodDAO = new FoodDAO();
		_foodList = foodDAO.findAll();
		SoftDrinkDAO softDrinkDAO = new SoftDrinkDAO();
		_softDrinkList = softDrinkDAO.findAll();
		AlcoholDAO alcoholDAO = new AlcoholDAO();
		_alcoholList = alcoholDAO.findAll();

		try {
			for (Food f : _foodList) {
				_allMenu.add(f);
			}
			for (SoftDrink f : _softDrinkList) {
				_allMenu.add(f);
			}
			for (Alcohol f : _alcoholList) {
				_allMenu.add(f);
			}
		} catch (Exception e) {
			System.out.println("Menu.java：すべてのメニューを取得できません。");
			System.out.println("エラー：終了します。");
			System.exit(0);
		}

	}

	public List<FoodAndDrink> getAllMenu() {
		return _allMenu;
	}
	public List<Food> getFoodList(){
		return _foodList;
	}
	public List<SoftDrink> getSoftDrinkList(){
		return _softDrinkList;
	}
	public List<Alcohol> getAlcoholList(){
		return _alcoholList;
	}

}
