package model;

import java.util.Objects;

import exception.ErrorCreateTableException;
import menu.Alcohol;
import menu.Food;
import menu.SoftDrink;

public class CheckVariableLogic {

	public boolean checkAlcohol(Alcohol alcohol, String method) {
		try {
			if (Objects.isNull(alcohol.getId()) ||
				Objects.isNull(alcohol.getName()) ||
				Objects.isNull(alcohol.getPrice()) ||
				Objects.isNull(alcohol.isSour()) ||
				Objects.isNull(alcohol.getDiscription()) ||
				Objects.isNull(alcohol.getAbv()) ||
				Objects.isNull(alcohol.getDisplay())
				) {
				return displayError(method);
			}
			return true;
		} catch (Exception e) {
			return displayError(method);
		}
	}
	/*
	String method = Thread.currentThread().getStackTrace()[1].getMethodName();
	CheckVariableLogic cvl = new CheckVariableLogic();
	if (!cvl.checkAlcohol(alcohol, method)) cvl.stopApp();
	*/

	public boolean checkSoftDrink(SoftDrink softDrink, String method) {
		try {
			if (Objects.isNull(softDrink.getId()) ||
				Objects.isNull(softDrink.getName()) ||
				Objects.isNull(softDrink.getPrice()) ||
				Objects.isNull(softDrink.isSour()) ||
				Objects.isNull(softDrink.getDiscription()) ||
				Objects.isNull(softDrink.getDisplay())
				) {
				return displayError(method);
			}
			return true;
		} catch (Exception e) {
			return displayError(method);
		}
	}
	/*
	String method = Thread.currentThread().getStackTrace()[1].getMethodName();
	CheckVariableLogic cvl = new CheckVariableLogic();
	if (!cvl.checkSoftDrink(softDrink, method)) cvl.stopApp();
	*/

	public boolean checkFood(Food food, String method) {
		try {
			if (Objects.isNull(food.getId()) ||
				Objects.isNull(food.getName()) ||
				Objects.isNull(food.getPrice()) ||
				Objects.isNull(food.getDiscription()) ||
				Objects.isNull(food.getDisplay())
				) {
				return displayError(method);
			}
			return true;
		} catch (Exception e) {
			return displayError(method);
		}
	}
	/*
	String method = Thread.currentThread().getStackTrace()[1].getMethodName();
	CheckVariableLogic cvl = new CheckVariableLogic();
	if (!cvl.checkFood(food, method)) cvl.stopApp();
	*/

	public boolean displayError(String method) {
		try {
			throw new ErrorCreateTableException("CheckVariableLogic.java/" + method + "：変数の形が正しくありません。");
		} catch (Exception e) {
			e.printStackTrace();
			return false;
		}
	}

	public void stopApp() {
		System.out.println("エラー：終了します。");
		System.exit(0);
	}

	/* テンプレート
	public boolean check() {
		String method = "check";
		try {
			if (Objects.isNull() {
				return displayError(method);
			}
			return true;
		} catch (Exception e) {
			return displayError(method);
		}
	}
	*/

}
