package model;

import java.io.FileWriter;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import dao.CustomerDAO;
import dao.SeatDAO;
import menu.FoodAndDrink;
import menu.Menu;
import seat.Order;
import seat.Seat;

public class CustomerLogic {

	public FoodAndDrink getDetail(String action, Menu menu) {
		for (FoodAndDrink value : menu.getAllMenu()) {
			if (value.getName().equals(action)) {
				return value;
			}
		}
		return null;
	}

	public boolean setSeatDB(Seat seat) {
		SeatDAO seatDAO = new SeatDAO();
		return seatDAO.updateSeat(seat);
	}

	public boolean addCustomer(Customer customer) {
		CustomerDAO customerDAO = new CustomerDAO();
		return customerDAO.addCustomer(customer);
	}

	public String getNowTime() {
		Date nowTime = new Date();
		SimpleDateFormat sdf = new SimpleDateFormat("H:m");
		String time = sdf.format(nowTime);
		return time;
	}

	public String getNowDate() {
		Date nowDate = new Date();
		SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
		String date = sdf.format(nowDate);
		return date;
	}

	public int getSumPrice(Map<FoodAndDrink, Integer> orderList) {
		int sumPrice = 0;
		for (FoodAndDrink key : orderList.keySet()) {
			int value = orderList.get(key);
			sumPrice += key.getPrice() * value;
		}
		return sumPrice;
	}

	public Seat doOrder(Seat seat) {
		for (FoodAndDrink key : seat.getOrder().keySet()) {
			Integer value = seat.getOrder().get(key);
			if (seat.getOrderList().containsKey(key)) {
				int x = seat.getOrderList().get(key);
				seat.addOrderList(key, x += value);
			} else {
				seat.addOrderList(key, value);
			}
		}
		@SuppressWarnings("unchecked")
		Order ordered = new Order((HashMap<FoodAndDrink, Integer>)seat.getOrder().clone());
		seat.addOrdered(ordered);
		seat.getOrder().clear();
		return seat;
	}

	public boolean createFile(List<Customer> customerList, String realPath) {
		CustomerLogic cl = new CustomerLogic();
		boolean result = false;
		String customerData = "";

		try {
			for (Customer c : customerList) {
				customerData += "ID : "       + cl.getNowDate() + "_" + c.getId() + " , "
							 +  "TIME : "     + c.getTime()     + " , "
							 +  "SEATNAME : " + c.getSeatName() + " , "
							 +  "PRICE : "    + c.getPrice()    + "円 \n" ;
	        }
		} catch (Exception e) {
			System.out.println("CustomerLogic.java：顧客履歴を文字列化できません。");
		}


		try (FileWriter writer = new FileWriter(realPath + "\\" + cl.getNowDate() + ".txt")) {
			writer.write(customerData);
			result = true;
		} catch (IOException e) {
			System.out.println("CustomerLogic.java：顧客履歴のテキスト化に失敗しました。");
		}

		return result;
	}

}
