package seat;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

public class CustomerBellList implements Serializable {

	private  Map<Seat, CustomerBell> _customerBellList = new HashMap<>();

	public CustomerBellList(SeatList seatList) {
		try {
			for (Seat s : seatList.getSeatList()) {
				CustomerBell cb = new CustomerBell(s.getSeatNumber());
				_customerBellList.put(s, cb);
			}
		} catch (Exception e) {
			System.out.println("CustomerBellList.java：すべての座席の呼び鈴を生成できません。");
			System.out.println("エラー：終了します。");
			System.exit(0);
		}

		System.out.println("通知：" + seatList.getSeatList().size() + "席の呼び鈴を生成しました。");
	}

	public Map<Seat, CustomerBell> getCustomerBellList() {
		return _customerBellList;
	}

}
