package servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import model.Customer;
import model.CustomerLogic;
import seat.CustomerBellList;
import seat.Seat;

@WebServlet("/AccountingServlet")
public class AccountingServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		HttpSession session = request.getSession();
		Seat seat = (Seat)session.getAttribute("seat");

		if (seat.getOrderList().isEmpty()) {
			RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/orderList.jsp");
			dispatcher.forward(request, response);
		} else {

			String seatName = seat.getSeatNumber();
			request.setAttribute("seatName", seatName);

			CustomerLogic cl = new CustomerLogic();
			Customer customer = new Customer(seat.getSeatNumber(), Integer.toString(seat.getPrice()), cl.getNowTime());
			if (!cl.addCustomer(customer)) System.out.println("AccountingServlet.java：顧客履歴を保存できません。");

			ServletContext application = getServletContext();
			CustomerBellList customerBellList = (CustomerBellList)application.getAttribute("customerBellList");
			customerBellList.getCustomerBellList().get(seat).setAccounting(true);

			RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/accounting.jsp");
			dispatcher.forward(request, response);

		}

	}
}
