package servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import menu.Menu;
import model.CustomerLogic;
import seat.Seat;
import seat.SeatList;

@WebServlet("/CustomerServlet")
public class CustomerServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/seatNumberForm.jsp");
		dispatcher.forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		String seatNumber = request.getParameter("seatNumber");

		HttpSession session = request.getSession();
		SeatList seatList = (SeatList)session.getAttribute("seatList");

		RequestDispatcher errorDispatcher = request.getRequestDispatcher("WEB-INF/jsp/seatNumberForm.jsp?action=error");

		for (Seat s : seatList.getSeatList()) {
			if (s.getSeatNumber().equals(seatNumber)) {
				if (s.isUsed()) {
					errorDispatcher.forward(request, response);
				} else {
					s.setUsed(true);
					session.setAttribute("seat", s);
					CustomerLogic cl = new CustomerLogic();

					if (cl.setSeatDB(s)) {
						Menu menu = new Menu();
						session.setAttribute("menu", menu);

						System.out.println("通知：" + seatNumber + "に着席しました。");
						RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/menu.jsp");
						dispatcher.forward(request, response);
					} else {
						System.out.println("CustomerServlet：SEATテーブルを更新できませんでした。");
						errorDispatcher.forward(request, response);
					}
				}
			} else {
				errorDispatcher.forward(request, response);
			}
		}
	}
}
