package servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import menu.FoodAndDrink;
import menu.Menu;
import model.CustomerLogic;
import seat.Seat;

@WebServlet("/DetailsServlet")
public class DetailsServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		String action = request.getParameter("action");

		HttpSession session = request.getSession();
		Menu menu = (Menu)session.getAttribute("menu");

		CustomerLogic cl = new CustomerLogic();
		FoodAndDrink fad = cl.getDetail(action, menu);
		request.setAttribute("fad", fad);

		RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/details.jsp");
		dispatcher.forward(request, response);

	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		String orderName = request.getParameter("orderName");
		int orderCount = Integer.parseInt(request.getParameter("orderCount"));

		HttpSession session = request.getSession();
		Menu menu = (Menu)session.getAttribute("menu");
		Seat seat = (Seat)session.getAttribute("seat");

		for (FoodAndDrink fad : menu.getAllMenu()) {
			if (fad.getName().equals(orderName)) {
				if (seat.getOrder().containsKey(fad)) {
					seat.addOrder(fad, orderCount + seat.getOrder().get(fad));
				} else {
					seat.addOrder(fad, orderCount);
				}
			}
		}

		RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/order.jsp");
		dispatcher.forward(request, response);

	}

}
