package servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import model.CustomerLogic;
import seat.CustomerBellList;
import seat.Seat;

@WebServlet("/EmployeeServlet")
public class EmployeeServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/employeePage.jsp");
		dispatcher.forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		String bellType = request.getParameter("bellType");
		String seatName = request.getParameter("seatName");

		ServletContext application = getServletContext();
		CustomerBellList customerBellList = (CustomerBellList)application.getAttribute("customerBellList");

		Seat seat = null;
		for (Seat s : customerBellList.getCustomerBellList().keySet()) {
			if (s.getSeatNumber().equals(seatName)) seat = s;
		}

		switch (bellType) {
			case "call":
				customerBellList.getCustomerBellList().get(seat).setCall(false);
			break;

			case "accounting":
				customerBellList.getCustomerBellList().get(seat).setAccounting(false);

				seat.setPrice(0);
				seat.setUsed(false);
				CustomerLogic cl = new CustomerLogic();
				cl.setSeatDB(seat);

				HttpSession session = request.getSession();
				session.removeAttribute("seat");
			break;

			case "order":
				int orderedListCount = Integer.parseInt(request.getParameter("orderedListCount"));
				seat.getOrderedList().remove(seat.getOrderedList().get(orderedListCount));

				if (seat.getOrderedList().isEmpty()) customerBellList.getCustomerBellList().get(seat).setOrder(false);
			break;
		}

		response.sendRedirect("EmployeeServlet");

	}
}
