package servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.EmployeesDAO;
import menu.Menu;
import model.Employee;
import model.EmployeeLogic;
import model.Login;

@WebServlet("/LoginServlet")
public class LoginServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/login.jsp");
		dispatcher.forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		String id = request.getParameter("id");
		String pass = request.getParameter("pass");

		RequestDispatcher errorDispatcher = request.getRequestDispatcher("WEB-INF/jsp/login.jsp");
		String errorMsg = "ログイン情報が正しくありません。";
		request.setAttribute("errorMsg", errorMsg);

		boolean result = false;
		try {
			Login login = new Login(id, pass);
			EmployeeLogic el = new EmployeeLogic();
			result = el.execute(login);
		} catch (Exception e) {
			errorDispatcher.forward(request, response);
		}

		if(result) {
			EmployeesDAO dao = new EmployeesDAO();
			Employee employee = dao.findEmployee(id);

			HttpSession session = request.getSession();
			session.setAttribute("loginEmployee", employee);

			Menu menu = new Menu();
			session.setAttribute("menu", menu);

			RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/employeePage.jsp");
			dispatcher.forward(request, response);
		} else {
			errorDispatcher.forward(request, response);
		}
	}
}
