package servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import model.CustomerLogic;
import seat.CustomerBellList;
import seat.Seat;

@WebServlet("/OrderListServlet")
public class OrderListServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/orderList.jsp");
		dispatcher.forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		HttpSession session = request.getSession();
		Seat seat = (Seat)session.getAttribute("seat");

		if (seat.getOrder().isEmpty()) {
			RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/order.jsp");
			dispatcher.forward(request, response);
		} else {

			ServletContext application = this.getServletContext();
			CustomerBellList customerBellList = (CustomerBellList)application.getAttribute("customerBellList");

			CustomerLogic cl = new CustomerLogic();
			seat = cl.doOrder(seat);
			customerBellList.getCustomerBellList().get(seat).setOrder(true);
			System.out.println("通知：座席" + seat.getSeatNumber() + "からの注文。");

			seat.setPrice(cl.getSumPrice(seat.getOrderList()));
			cl.setSeatDB(seat);
			System.out.println("通知：座席" + seat.getSeatNumber() + "のDBを更新。");

			RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/orderResult.jsp");
			dispatcher.forward(request, response);

		}

	}
}
