package servlet;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import menu.FoodAndDrink;
import menu.Menu;
import seat.Seat;

@WebServlet("/OrderServlet")
public class OrderServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/order.jsp");
		dispatcher.forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		String keyName = request.getParameter("keyName");

		HttpSession session = request.getSession();
		Seat seat = (Seat) session.getAttribute("seat");
		Menu menu = (Menu)session.getAttribute("menu");
		List<FoodAndDrink> menuList = menu.getAllMenu();

		FoodAndDrink removeKey = null;
		for (FoodAndDrink value : menuList) {
			if (keyName.equals(value.getName())) removeKey = value;
		}

		FoodAndDrink removeTarget=null;
		for (FoodAndDrink Key : seat.getOrder().keySet()) {
			if(removeKey.getName().equals(Key.getName())) removeTarget = Key;
		}
		seat.getOrder().remove(removeTarget);

		RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/order.jsp");
		dispatcher.forward(request, response);
	}
}
