package servlet;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.SeatDAO;
import dao.StoreDataDAO;
import model.StoreData;
import seat.CustomerBellList;
import seat.SeatList;

@WebServlet("/StartAppServlet")
public class StartAppServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		SeatDAO seatDAO = new SeatDAO();
		SeatList seatList = new SeatList(seatDAO.findSeat());
		HttpSession session = request.getSession();
		session.setAttribute("seatList", seatList);

    	CustomerBellList customerBellList = new CustomerBellList(seatList);
    	ServletContext application = this.getServletContext();
    	application.setAttribute("customerBellList", customerBellList);

    	StoreDataDAO storeDataDAO = new StoreDataDAO();
    	StoreData storeData = storeDataDAO.getStoreData();
    	application.setAttribute("storeData", storeData);

		RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/startResult.jsp");
		dispatcher.forward(request, response);
	}
}

